For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Reclaims a previously completed Deposit transaction (minimum of 0.99). You can optionally reclaim partially. You can do so as many times as you wish until the entire deposited amount has been reclaimed.
A Deposit transaction can only be reclaimed after the transaction has been processed and completed.
Ensure you also implement an [event notification](/integrate/core-concepts/webhooks-and-events) handler to get transaction status updates.
Authentication
AuthorizationBasic
Path parameters
transactionIdstringRequired
Deposit Transaction ID retrieved from a Trustly Deposit transaction.
Request
amountstringRequired<=10 characters
The amount to be reclaimed which can be less or equal than the current balance of the deposit transaction being reclaimed. If the value is omitted the remaining balance is reclaimed. (maximum of 10 characters with support for 2 decimal places)
merchantReferencestringOptional
A specific merchant reference for this reclaim. For example, this could be a merchant order number or the same merchant reference value used in the original establish call.
Response
OK
transactionIdstring>=1 character
A unique transaction identifier generated by Trustly (15 character max).
3-letter ISO Currency Code. Currently only USD is supported.
Allowed values:
amountstring>=1 character
The amount of the transaction. (10 characters with support for 2 decimal places)
pendingstring>=1 character
The total amount that is still pending completion. (10 characters with support for 2 decimal places)
paidstring>=1 character
The total amount that was already paid. (10 characters with support for 2 decimal places)
refundedstring>=1 character
The total amount that was refunded. (10 characters with support for 2 decimal places)
reversedstring>=1 character
The total amount that was reversed. (10 characters with support for 2 decimal places)
balancestring>=1 character
The balance of the amount paid, minus the amount reversed and/or refunded. (10 characters with support for 2 decimal places)
paymentProviderTransactionobject
Payment Provider Transaction
statusenum
Status code of the Payment Provider Transaction record. See Transaction Types
statusMessagestring>=1 character
A descriptive status message. (120 characters)
ipstring>=1 character
The client IP address in IPv4 or IPv6 format.
createdAtinteger
The date and time the transaction was created as a UNIX timestamp.
processedAtinteger
The date and time the transaction was processed as a UNIX timestamp.
completedAtinteger
The date and time the transaction was completed as a UNIX timestamp.
updatedAtinteger
The date and time the transaction was last updated as a UNIX timestamp.
merchantReferencestring>=1 character
Merchants internal reference id for the transaction.
recordVersiondouble
The current record version.
ppTrxIdstringOptional>=1 character
internal use only
expiredAtintegerOptional
The date and time the preauthorization will expire as a UNIX timestamp.
originalTransactionIdstringOptional
feestringOptional
timeZonestringOptional
representmentScheduledAtdoubleOptional
paymentProcessorTypestringOptional
statusCodestringOptional
preAuthorizedbooleanOptional
Reclaims a previously completed Deposit transaction (minimum of 0.99). You can optionally reclaim partially. You can do so as many times as you wish until the entire deposited amount has been reclaimed.
A Deposit transaction can only be reclaimed after the transaction has been processed and completed.
Ensure you also implement an event notification handler to get transaction status updates.